--
-- GB Radial Menu
-- Utils
--

if CLIENT then
	function saveConfig()	
		local configFile = util.TableToKeyValues(radialConfig)
		file.Write("gb-radial-config.txt", configFile)
	end
	
	function saveTools()
		-- Only save relevant information
		local saveToolTable = {}
		local toolEnum = 0
		
		for toolEnum = 1, table.getn(radialConfigTools), 1 do
			saveToolTable[toolEnum] = { name = radialConfigTools[toolEnum].name, rconcommand = radialConfigTools[toolEnum].rconcommand }
		end
	
		local configFile = util.TableToKeyValues(saveToolTable)
		file.Write("gb-radial-config-tools.txt", configFile)	
	end
end